@import './common.css';

:root {
  --main-gradient-from: rgba(144, 34, 56, 1);
  --main-gradient-via: rgba(186, 77, 88, 1);
  --main-gradient-to: rgba(192, 82, 83, 1);
  --main-gradient: linear-gradient(
    180deg,
    var(--main-gradient-from) 16%,
    var(--main-gradient-via) 63%,
    var(--main-gradient-to)
  );

  --primary-400: rgb(227 185 99);
  --primary-500: rgb(229 191 149);
  --primary-600: rgb(46 41 35);

  --primary: var(--main-gradient);
  --primary-hover: linear-gradient(
    180deg,
    #812235 16%,
    #a73f4a 63%,
    #bd4546 100%
  );
  --primary-border: linear-gradient(
      16deg,
      rgba(var(--hex-border), 0.1) 0%,
      rgba(var(--hex-border), 0.05) 12%,
      rgba(var(--hex-border), 0) 24%,
      rgba(var(--hex-border), 0) 78%,
      rgba(var(--hex-border), 0.05) 89%,
      rgba(var(--hex-border), 0.1) 100%
    )
    border-box;

  --secondary: linear-gradient(
    180deg,
    rgba(74, 75, 79, 0.6) 0%,
    rgba(17, 17, 17, 0.1) 20%,
    rgba(74, 75, 79, 0.6) 100%
  );
  --secondary-hover:
    linear-gradient(
      180deg,
      rgba(74, 75, 79, 0.6) 0%,
      rgba(17, 17, 17, 0.1) 20%,
      rgba(74, 75, 79, 0.6) 100%
    ),
    linear-gradient(0deg, rgba(255, 255, 255, 0.05), rgba(255, 255, 255, 0.05));
  --secondary-border: rgba(var(--hex-border), 0.05) border-box;

  --register:
    radial-gradient(
      50% 45.15% at 50% -6.11%,
      #efd197 0%,
      rgba(213, 182, 135, 0) 75.5%
    ),
    radial-gradient(
      175.52% 200.37% at 91.18% -99.21%,
      #ff0a0a 0%,
      rgba(113, 12, 12, 0) 87.03%
    ),
    radial-gradient(
      164.67% 80.57% at 0% -22.96%,
      #d7333e 8.19%,
      rgba(28, 9, 0, 0) 100%
    ),
    radial-gradient(
      83.59% 100.75% at 88.85% 100%,
      rgba(236, 133, 75, 0.5) 0%,
      rgba(235, 212, 152, 0) 100%
    ),
    linear-gradient(#a22452);
  --register-hover:
    radial-gradient(
      50% 45.15% at 50% -6.11%,
      #f2daab 0%,
      rgba(218, 191, 149, 0) 75.5%
    ),
    radial-gradient(
      175.52% 200.37% at 91.18% -99.21%,
      #ff2929 0%,
      rgba(139, 14, 14, 0) 87.03%
    ),
    radial-gradient(
      164.67% 80.57% at 0% -22.96%,
      #de5962 8.19%,
      rgba(45, 14, 1, 0) 100%
    ),
    radial-gradient(
      83.59% 100.75% at 88.85% 100%,
      rgba(240, 155, 107, 0.5) 0%,
      rgba(241, 225, 183, 0) 100%
    ),
    linear-gradient(#b7295c);
  --register-border: rgba(var(--hex-border), 0.24);

  --login: linear-gradient(
    229deg,
    rgba(198, 57, 47, 0.75) -21.36%,
    rgba(44, 34, 31, 0.75) 103.96%
  );
  --login-hover: linear-gradient(
    229deg,
    rgba(223, 92, 83, 0.75) -21.36%,
    rgba(51, 33, 28, 0.75) 103.96%
  );
  --login-border-gradient-stops:
    rgba(255, 255, 255, 0.6) 0%, rgba(10, 10, 10, 0) 30%;
  --login-border:
    linear-gradient(-138deg, var(--login-border-gradient-stops)) border-box,
    linear-gradient(54deg, var(--login-border-gradient-stops)) border-box;

  --hex-border: 255, 255, 255;
  --hex-natural-white: 255, 255, 255;
  --hex-natural-black: 0, 0, 0;
  --hex-danger: 223, 32, 32;
  --hex-success: 29, 175, 38;
  --hex-warning: 255, 168, 0;
  --hex-market-open: 218, 255, 37;
  --hex-market-close: 245, 93, 59;

  --color-natural-black: rgb(var(--hex-natural-black));
  --color-natural-white: rgb(var(--hex-natural-white));

  --color-danger: rgb(var(--hex-danger));
  --color-success: rgb(var(--hex-success));
  --color-warning: rgb(var(--hex-warning));
  --color-market-open: rgb(var(--hex-market-open));
  --color-market-close: rgb(var(--hex-market-close));

  --footer-seo-text: rgba(var(--hex-natural-white), 0.5);

  --background-base: rgba(18, 19, 23, 1);
  --background-400: rgb(17 14 14);
  --background-500: rgb(27 24 24);
  --background-600: rgb(37 34 34);

  --foreground: rgb(var(--hex-natural-white));
  --muted-foreground: rgba(var(--hex-natural-white), 0.5);

  --border: rgba(var(--hex-border), 0.1);

  --popover: var(--input);
  --popover-border: transparent;

  --accent: var(--primary);
  --accent-foreground: var(--foreground);

  --container: var(--background2);
  --container-border: var(--border);
  --container-payment: var(--background-600);

  --switch-border: rgba(var(--hex-border), 0.05);
  --switch-unchecked-bg: rgba(var(--hex-natural-white), 0.1);

  --badge-fail-bg: rgba(var(--hex-danger), 0.2);
  --badge-fail-text: var(--color-danger);
  --badge-warning-bg: rgba(var(--hex-warning), 0.2);
  --badge-warning-text: var(--color-warning);
  --badge-success-bg: rgba(var(--hex-success), 0.2);

  --badge-success-text: var(--color-success);
  --badge-canceled-bg: rgba(var(--hex-natural-white), 0.1);
  --badge-canceled-text: var(--color-natural-white);
  --badge-market-open-bg: var(--color-market-open);
  --badge-market-open-text: var(--color-natural-black);
  --badge-market-close-bg: var(--color-market-close);
  --badge-market-close-text: var(--color-natural-black);
  --badge-rtp-bg: rgba(var(--hex-natural-white), 0.1);
  --badge-rtp-text: var(--color-natural-white);

  --accordion-container-bg: var(--background-500);
  --accordion-trigger-bg: rgba(var(--hex-natural-white), 0.05);
  --accordion-trigger-text: var(--color-natural-white);
  --accordion-content-text: rgba(var(--hex-natural-white), 0.5);

  --footer-gradient-mid-color: rgba(5, 29, 47, 0.2);
  --footer-seo-open-close: rgb(var(--hex-natural-white));
  --footer-gradient: linear-gradient(
    to top,
    var(--background-500),
    var(--footer-gradient-mid-color) 70%,
    transparent
  );

  --calendar-bg: var(--background-500);
  --calendar-range: var(--primary-600);
  --calendar-text: var(--color-natural-white);
  --calendar-week: var(--primary-500);
  --calendar-outside: rgba(var(--hex-natural-white), 0.5);

  --textarea: rgba(var(--hex-natural-black), 0.4);
  --textarea-border: rgba(var(--hex-border), 0.1);

  --select: var(--background-600);
  --select-border: rgba(var(--hex-border), 0.05);

  --table-seperator: rgba(var(--hex-natural-white), 0.1);

  --select: var(--background-600);

  --table-seperator: rgba(var(--hex-natural-white), 0.1);

  --marquee-from: rgba(45, 16, 16, 1);
  --marquee-to: rgba(14, 12, 12, 1);
  --marquee-stroke-from: rgba(164, 17, 17, 1);
  --marquee-stroke-to: rgba(230, 107, 81, 0);
  --marquee-text: rgba(237, 227, 183, 1);

  --unread-notification: rgb(244, 63, 3);

  --bet-card-base-default: var(--background-500);
  --bet-card-base-lighter: var(--background-600);
  --bet-card-base-border: rgba(var(--hex-natural-white), 0.05);

  --timer-segment: rgba(var(--hex-natural-white), 0.1);

  --prize-info-modal-bg: var(--background-500);

  --container-mobile-navbar: linear-gradient(
    to bottom,
    rgba(103, 45, 38, 1),
    rgba(33, 19, 18, 1)
  );

  --dialog-content: var(--background-500);

  --shio-icon: var(--primary-500);
  
  --hex-pin-hover: 211, 242, 255;

  --pin-bg: var(--background-600);
  --pin-bg-active: var(--secondary);
  --pin-border-active: rgba(var(--hex-natural-white), 0.05);
  --pin-hover: rgba(var(--hex-pin-hover), 0.1);

  --promo-card: var(--background-600);

  --progress-bar: rgba(var(--hex-natural-black), 0.3);
  --progress-bar-border: rgba(var(--hex-border), 0.1);
  --progress-ongoing: rgba(var(--hex-warning), 0.2);
  --progress-ongoing-text: rgb(var(--hex-warning));
  --progress-done: rgba(var(--hex-success), 0.2);
  --progress-done-text: rgb(var(--hex-success));

  --register-login-heading: var(--primary-500);
  --register-login-bg: var(--background-500);
  --register-payment-information-bg: var(--background-600);
  --register-payment-category-bg: rgba(var(--hex-natural-black), 0.4);

  --profile: linear-gradient(180deg, #c8d3e8 63.18%, #8592a9 91.81%);
  --profile-icon: rgba(35, 35, 35, 1);

  --deposit-withdraw-ticket-cutout: var(--background-400);
  --deposit-promo-bg: var(--background-500);
  --selected-deposit-promo: var(--primary-500);

  --tab-list: rgba(var(--hex-natural-white), 0.05);

  --deposit-button-main-color: #fff;
  --deposit-button-main-box-shadow:
    0 -1px 2px 0 rgba(255, 229, 232, 0.75) inset,
    0 0 4px 0 rgba(255, 82, 102, 0.75) inset;
  --deposit-button-main-background:
    radial-gradient(
      63.39% 25.17% at 50% 78.04%,
      #d06266 0%,
      rgba(227, 126, 103, 0) 100%
    ),
    linear-gradient(180deg, #912b40 23.17%, #e55d66 99.64%);
  --deposit-button-main-background-hover:
    linear-gradient(
      0deg,
      rgba(255, 255, 255, 0.1) 0%,
      rgba(255, 255, 255, 0.1) 100%
    ),
    radial-gradient(
      63.39% 25.17% at 50% 78.04%,
      #d06266 0%,
      rgba(227, 126, 103, 0) 100%
    ),
    linear-gradient(180deg, #912b40 23.17%, #e55d66 99.64%);
  --deposit-button-plus-color: #fff;
  --deposit-button-plus-filter-id: url(#filter0_d_31859_92148);
  --deposit-button-bottom-background: linear-gradient(
    90deg,
    #bc3942 0%,
    #c6565d 19.97%,
    #9e2c34 34.93%,
    #9e2c34 65.4%,
    #c6565d 78.59%,
    #bc3942 100%
  );
  --deposit-button-bottom-box-shadow: 0 2px 8px 0 #67272f;
  --deposit-button-bottom-box-shadow-hover: 0 -1px 10px 2px
    rgba(232, 142, 160, 0.24);
  --deposit-button-bottom-box-shadow-active: 0 -3px 0 3px rgba(255, 49, 90, 0.3);

  --footer-gradient: linear-gradient(180deg, #672D26 0%, #211312 100%);

  --download-apk-background: radial-gradient(69.79% 113.82% at 92.84% 86.18%,rgba(212,77,102,.5) 0%,transparent 100%),linear-gradient(93deg,rgba(228,44,78,.5) -4.35%,rgba(93,29,40,.5) 17.62%,rgba(49,22,27,.5) 35.28%,rgba(29,18,20,.5) 68.96%,rgba(199,41,70,.5));
  --download-apk-shadow: inset 1px 0px 1px #e94c69,inset -1px 0 1px #362729,inset 0px 1px 0px #251216,inset 0px -1px 0px #bf3850,0px 4px 8px 0px rgba(0,0,0,.65);

  --shadow-menu-navbar: var(--primary-500);

  --category-games-menu-bg-active: linear-gradient(180deg, rgba(182, 58, 93, 0.00) 0.34%, rgba(227, 89, 112, 0.18) 64.44%, #E93F54 91.18%, #E72F32 100.47%), linear-gradient(106deg, #EB7C8E 0.5%, rgba(39, 23, 25, 0.80) 41.68%, rgba(35, 27, 27, 0.04) 66.99%, #F28391 100.19%);

  --card-togel-hot-bg: linear-gradient(90deg, #3D262B 0%, #140707 100%);
  --card-togel-hot-border: linear-gradient(90deg, rgba(161, 99, 99, 1) 0%, rgba(114, 39, 65, 1) 100%);
  --card-togel-default-bg: radial-gradient(196.81% 413.46% at -35.4% -126.92%, #AE463F 30%, #822117 50%, #75170C 55%, #110E0E 70%, #C7784C 80%, #DCB77F 84%);
  --card-togel-default-border: linear-gradient(126deg, rgba(113, 97, 78, 1) 21%, rgba(45, 45, 49, 1) 42%, rgba(32, 32, 33, 1) 81%, rgba(118, 118, 118, 1) 100%);

  --popover-header: linear-gradient(52deg, #4E2C2B -6.67%, #2F1B18 48.53%, #341413 94.75%);
  --popover-default-border: rgba(var(--hex-border), 0.05);

  --hex-footer-gradient-container-light: rgba(56, 46, 46, 1);
  --hex-footer-gradient-container-dark: rgba(32, 31, 29, 1);

  --ticket-wallet: var(--background-600);
  --ticket-devider: rgba(var(--hex-natural-white), 0.1);
  --ticket-wallet-border: rgba(0, 0, 0, 1);

  --banner-button: radial-gradient(10926.6% 97.36% at 0% 78.12%, #674437 0%, transparent 100%);
  --banner-border-stop: #AB836D;
}

body {
  background-color: var(--background-400);
}

.wrapper-label-input {
  display: flex;
  flex-direction: column;
  row-gap: var(--spacing-sm);

  label {
    color: var(--muted-foreground);
  }
}

.radio-indicator {
  width: 10px;
  height: 10px;
  border-radius: 100%;
  border: 1px solid var(--background-600);
  background: var(--color-natural-white);
}

.collapsible-content-wrapper {
  position: relative;
}

.footer-seo-gradient::before {
  content: '';
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100px;
  background: var(--footer-gradient);
  z-index: 1;
  pointer-events: none;
}

.calendar-dropdown option {
  background-color: var(--background-600);
}
